import React from 'react';
type HighlightedPart = {
    isHighlighted: boolean;
    value: string;
};
export type InternalHighlightClassNames = {
    /**
     * Class names to apply to the root element
     */
    root: string;
    /**
     * Class names to apply to the highlighted parts
     */
    highlighted: string;
    /**
     * Class names to apply to the non-highlighted parts
     */
    nonHighlighted: string;
    /**
     * Class names to apply to the separator between highlighted parts
     */
    separator: string;
};
export type InternalHighlightProps = React.HTMLAttributes<HTMLSpanElement> & {
    classNames: InternalHighlightClassNames;
    highlightedTagName?: React.ElementType;
    nonHighlightedTagName?: React.ElementType;
    separator?: React.ReactNode;
    parts: HighlightedPart[][];
};
export declare function InternalHighlight({ parts, highlightedTagName, nonHighlightedTagName, separator, className, classNames, ...props }: InternalHighlightProps): JSX.Element;
export {};
